      subroutine ecribl(mat,long,ifil)
      parameter(ngru3=2048)
      common/dim/iadri
      dimension mat(iadri)
      ifin=0
      do k=1,long,ngru3
c         write(6,*)'ecribl long',long,ifil
         ideb=ifin+1
         ifin=ideb+ngru3-1
         call ecri(mat(ideb),ngru3,ifil)
      enddo
      return
      end
